Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BodyPosture Class Reference

The class represents the robots body percept. More...

`#include <BodyPosture.h>`

List of all members.

## Public Member Functions
| BodyPosture ()
| ~BodyPosture ()
void | operator= (const BodyPosture &other)
| copies another BodyPosture to this one
## Public Attributes
unsigned long | frameNumber
double | neckHeightCalculatedFromLegSensors
double | bodyRollCalculatedFromLegSensors
double | bodyTiltCalculatedFromLegSensors
double | neckHeightProvidedByMotionControl
double | bodyRollProvidedByMotionControl
double | bodyTiltProvidedByMotionControl
double | bodyRollCalculatedFromAccelerationSensors
double | bodyTiltCalculatedFromAccelerationSensors

## Detailed Description

The class represents the robots body percept.

The percept consists of current switches and a variable containing whether the robot stands or is crashed.

Definition at line 18 of file BodyPosture.h.

## Constructor & Destructor Documentation

BodyPosture::BodyPosture | ( |  | ) |

| Definition at line 9 of file BodyPosture.cpp.

BodyPosture::~BodyPosture | ( |  | ) |

| Definition at line 22 of file BodyPosture.cpp.

## Member Function Documentation

void BodyPosture::operator= | ( | const BodyPosture & | other | ) |

| copies another BodyPosture to this one Definition at line 26 of file BodyPosture.cpp. References bodyRollCalculatedFromAccelerationSensors, bodyRollCalculatedFromLegSensors, bodyRollProvidedByMotionControl, bodyTiltCalculatedFromAccelerationSensors, bodyTiltCalculatedFromLegSensors, bodyTiltProvidedByMotionControl, frameNumber, neckHeightCalculatedFromLegSensors, and neckHeightProvidedByMotionControl.

## Member Data Documentation

unsigned long BodyPosture::frameNumber

| Definition at line 27 of file BodyPosture.h. Referenced by GT2005SensorDataProcessor::execute(), and operator=().

double BodyPosture::neckHeightCalculatedFromLegSensors

| Definition at line 29 of file BodyPosture.h. Referenced by GT2005SensorDataProcessor::buildCameraMatrix(), GT2005SensorDataProcessor::calculateBodyPostureFromLegSensors(), operator=(), and GT2005HeadControl::simpleLookAtPointRelativeToRobot().

double BodyPosture::bodyRollCalculatedFromLegSensors

| Definition at line 30 of file BodyPosture.h. Referenced by GT2005SensorDataProcessor::calculateBodyPostureFromLegSensors(), operator=(), and GT2005HeadControl::simpleLookAtPointRelativeToRobot().

double BodyPosture::bodyTiltCalculatedFromLegSensors

| Definition at line 31 of file BodyPosture.h. Referenced by GT2005SensorDataProcessor::buildCameraMatrix(), GT2005SensorDataProcessor::calculateBodyPostureFromLegSensors(), operator=(), and GT2005HeadControl::simpleLookAtPointRelativeToRobot().

double BodyPosture::neckHeightProvidedByMotionControl

| Definition at line 33 of file BodyPosture.h. Referenced by GT2005SensorDataProcessor::execute(), and operator=().

double BodyPosture::bodyRollProvidedByMotionControl

| Definition at line 34 of file BodyPosture.h. Referenced by GT2005SensorDataProcessor::execute(), and operator=().

double BodyPosture::bodyTiltProvidedByMotionControl

| Definition at line 35 of file BodyPosture.h. Referenced by GT2005SensorDataProcessor::execute(), and operator=().

double BodyPosture::bodyRollCalculatedFromAccelerationSensors

| Definition at line 37 of file BodyPosture.h. Referenced by GT2005SensorDataProcessor::calculateBodyPostureFromAccelerationSensors(), GT2005GetupEngine::executeParameterized(), and operator=().

double BodyPosture::bodyTiltCalculatedFromAccelerationSensors

| Definition at line 38 of file BodyPosture.h. Referenced by GT2005SensorDataProcessor::calculateBodyPostureFromAccelerationSensors(), GT2005GetupEngine::executeParameterized(), and operator=().

The documentation for this class was generated from the following files:

- Representations/Perception/BodyPosture.h
- Representations/Perception/BodyPosture.cpp